on: [push, pull_request]

name: Continuous integration

jobs:
  build:
    name: build
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: actions-rust-lang/setup-rust-toolchain@v1
        # with:
        #   target: x86_64-pc-windows-gnu

      - run: cargo build --release
      # - run: cargo build --release --target x86_64-pc-windows-gnu
      - uses: christopherhx/gitea-upload-artifact@v4
        with:
          name: linux-release
          path: target/release/worldcoder

      # - uses: actions/upload-artifact@v4
      #   with:
      #     name: windows-release
      #     path: target/x86_64-pc-windows-gnu/release/doc_writing_tool.exe
